Package com.sun.jna.platform.win32

# Class OaIdl._VARIANT_BOOL

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.platform.win32.OaIdl.VARIANT_BOOL
com.sun.jna.platform.win32.OaIdl._VARIANT_BOOL

All Implemented Interfaces:
  `NativeMapped`, `Serializable`

Enclosing interface:
  OaIdl

public static class OaIdl._VARIANT_BOOL extends OaIdl.VARIANT_BOOL

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sun.jna.platform.win32.OaIdl.VARIANT_BOOL

  `SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `_VARIANT_BOOL()`
  `_VARIANT_BOOL(long value)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.OaIdl.VARIANT_BOOL

  `booleanValue`

  ### Methods inherited from class com.sun.jna.IntegerType

  `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

  ### Methods inherited from class java.lang.Number

  `byteValue, shortValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### _VARIANT_BOOL

    public _VARIANT_BOOL()

  - ### _VARIANT_BOOL

    public _VARIANT_BOOL(long value)